//
//  MemoPadViewController.m
//  MemoPad
//
//  Created by Makoto Kinoshita on 08/12/17.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "MemoPadViewController.h"

@implementation MemoPadViewController

- (void)viewWillAppear:(BOOL)animated
{
    // テキストファイルのパスを決定する
    NSArray*    paths;
    NSString*   path;
    paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    path = [paths objectAtIndex:0];
    path = [path stringByAppendingPathComponent:@"text"];
    
    // テキストファイルが存在する場合
    if ([[NSFileManager defaultManager] fileExistsAtPath:path]) {
        // ファイルをバイト列として読み込む
        NSData* data;
        data = [NSData dataWithContentsOfFile:path];
        
        // バイト列をテキストに変換する
        NSString*   string;
        string = [[NSString alloc] initWithData:data encoding:NSUTF8StringEncoding];
        [string autorelease];
        
        // テキストをテキストビューに設定する
        textView.text = string;
    }
}

- (void)viewWillDisappear:(BOOL)animated
{
    // テキストファイルのパスを決定する
    NSArray*    paths;
    NSString*   path;
    paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    path = [paths objectAtIndex:0];
    path = [path stringByAppendingPathComponent:@"text"];
    
    // テキストからバイト列を作成する
    NSData* data;
    data = [textView.text dataUsingEncoding:NSUTF8StringEncoding];
    
    // バイト列をファイルに書きこむ
    [data writeToFile:path atomically:YES];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return YES;
}

- (IBAction)done
{
    // キーボードを隠す
    [textView resignFirstResponder];
}

@end
